Bug 10774

Summary: Allow individual holds to be suspended and resumed from the OPAC
Product: Koha Reporter: Kyle M Hall <kyle>
Component: OPACAssignee: Kyle M Hall <kyle>
Status: CLOSED FIXED QA Contact: Jonathan Druart <jonathan.druart+koha>
Severity: enhancement    
Priority: P5 - low CC: crohde, gitbot, gmcharlt, jonathan.druart+koha, jsasse, nengard
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Small patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
Attachments: Bug 10774 - Allow individual holds to be suspended and resumed from the OPAC
Bug 10774 - Allow individual holds to be suspended and resumed from the OPAC
Bug 10774 - Allow individual holds to be suspended and resumed from the OPAC
Bug 10774 - Allow individual holds to be suspended and resumed from the OPAC
[ALT] Bug 11244: notices ignoring the dateformat preference
Bug 10774 [QA Followup] - Add support for bootstrap opac theme
Bug 10774 - Allow individual holds to be suspended and resumed from the OPAC
Bug 10774 [QA Followup] - Add support for bootstrap opac theme

Description Kyle M Hall 2013-08-21 11:32:52 UTC
Right now, holds can only be suspended and resumed from the OPAC as a whole. It would be nice to be able to suspend and resume holds on a hold by hold basis from the OPAC.
Comment 1 Kyle M Hall 2013-08-21 11:38:21 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2013-08-21 11:41:35 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2013-08-22 12:50:17 UTC
This looks good and is a nice improvement. I do see one issue: I'm pretty sure you shouldn't be able to suspend a hold on an item which is in transit. You can't cancel a hold while it is in transit, and the staff client blocks you from suspending.

If that sounds correct and you'll submit a revision, there is also an orphan </p> which needs to be removed, right after the "clear date" link.
Comment 4 Kyle M Hall 2013-08-28 13:49:03 UTC
Good catches! I'll get a followup written asap.

(In reply to Owen Leonard from comment #3)
> This looks good and is a nice improvement. I do see one issue: I'm pretty
> sure you shouldn't be able to suspend a hold on an item which is in transit.
> You can't cancel a hold while it is in transit, and the staff client blocks
> you from suspending.
> 
> If that sounds correct and you'll submit a revision, there is also an orphan
> </p> which needs to be removed, right after the "clear date" link.
Comment 5 Kyle M Hall 2013-08-28 15:30:33 UTC Comment hidden (obsolete)
Comment 6 I'm just a bot 2013-09-29 04:55:29 UTC
Patch applied cleanly, go forth and signoff
Comment 7 I'm just a bot 2013-10-24 19:33:32 UTC
Patch applied cleanly, go forth and signoff
Comment 8 Chris Rohde 2013-10-25 19:48:14 UTC
Patch tested per test plan, and functions as expected.  I Chris Rohde, signoff on this patch.
Comment 9 Jonathan Druart 2013-11-28 13:41:15 UTC
Looks good, the patch works as expected.
No regression found.
Marked as Passed QA.
Comment 10 Jonathan Druart 2013-11-28 13:41:26 UTC Comment hidden (obsolete)
Comment 11 Jonathan Druart 2013-11-28 14:15:06 UTC Comment hidden (obsolete)
Comment 12 Jonathan Druart 2013-11-28 14:16:03 UTC
Wrong bug number...
Comment 13 Galen Charlton 2013-11-29 14:34:29 UTC
Pushing back to submitter for more work -- this patch series doesn't yet cover the bootstrap theme.
Comment 14 Kyle M Hall 2014-01-08 16:22:58 UTC Comment hidden (obsolete)
Comment 15 Kyle M Hall 2014-01-08 16:23:17 UTC
Created attachment 24017 [details] [review]
Bug 10774 - Allow individual holds to be suspended and resumed from the OPAC

Right now, holds can only be suspended and resumed from the OPAC as a
whole. It would be nice to be able to suspend and resume holds on a hold
by hold basis from the OPAC.

Test Plan:
1) Apply this patch
2) Log in to the OPAC
3) Place a number of holds
4) Browse to "my summary" and select the holds tab
5) From here, test the following actions
   a) Suspend a hold indefinitely ( no resume date )
   b) Suspend a hold with a date to automatically resume
   c) Manually resume a suspended hold
6) Disable AutoResumeSuspendedHolds, ensure the suspend until date field
   is no longer visible.
7) Disable SuspendHoldsOpac, ensure all suspension related fields are
   no longer visible.

Signed-off-by: Chris Rohde <crohde@roseville.ca.us>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 16 Kyle M Hall 2014-01-08 16:23:26 UTC
Created attachment 24018 [details] [review]
Bug 10774 [QA Followup] - Add support for bootstrap opac theme
Comment 17 Galen Charlton 2014-01-10 15:24:27 UTC
Pushed to master.  Thanks, Kyle!